package com.hw.dms.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.TreeEntity;

/**
 * 设备类型信息对象 dms_base_device_type
 * 
 * @author xins
 * @date 2023-12-27
 */
public class DmsBaseDeviceType extends TreeEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long deviceTypeId;

    /** 类型编号 */
    @Excel(name = "类型编号")
    private String typeCode;

    /** 类型名称 */
    @Excel(name = "类型名称")
    private String typeName;

    /** 是否标识：1-是；2-否 */
    @Excel(name = "是否标识：1-是；2-否")
    private Long isFlag;

    public void setDeviceTypeId(Long deviceTypeId) 
    {
        this.deviceTypeId = deviceTypeId;
    }

    public Long getDeviceTypeId() 
    {
        return deviceTypeId;
    }
    public void setTypeCode(String typeCode) 
    {
        this.typeCode = typeCode;
    }

    public String getTypeCode() 
    {
        return typeCode;
    }
    public void setTypeName(String typeName) 
    {
        this.typeName = typeName;
    }

    public String getTypeName() 
    {
        return typeName;
    }
    public void setIsFlag(Long isFlag) 
    {
        this.isFlag = isFlag;
    }

    public Long getIsFlag() 
    {
        return isFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("deviceTypeId", getDeviceTypeId())
            .append("parentId", getParentId())
            .append("typeCode", getTypeCode())
            .append("typeName", getTypeName())
            .append("isFlag", getIsFlag())
            .append("ancestors", getAncestors())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
